Update Order
PATCH {{BASE_HABITAT_URL}}/api/v3/orders/{{ORDER_ID}}
Required scope: orders:write
Update order details
If the order is assigned to a DSP, dropoff_notes is the only field that is updatable
| Field | Type | Required | Description | Sends to DSP |
|---|---|---|---|---|
dropoff_notes |
string | No | Optional notes for the dropoff location. | DD, Uber |
customer_phone |
string | No | Phone number of the customer. | False |
customer_name |
string | No | Name of the customer. | False |
dropoff.instructions |
string | No | Instructions for the dropoff, equivalent to v1 delivery_instructions. |
False |
pickup.instructions |
string | No | Instructions for the pickup, equivalent to v1 special_instructions. |
False |
contents <br>or <br>plain_order |
Depending on format, see contents format in POST /v3/orders. For plain_order, see POST /orders |
Yes | Order contents | False |
order_total |
number | No | Total cost of the order, must be greater than 0. | False |
sub_total |
number | No | Subtotal of the order, must be greater than 0. | False |
tax |
number | No | Tax amount, must be greater than 0. | False |
tip |
number | No | Tip amount, optional and must be greater than 0 if provided. | False |
diner_delivery_fee |
number | No | Delivery fee charged to the diner, must be greater than 0. | False |
options.requires_signature |
boolean | No | Indicates whether a signature is required, equivalent to v1 requires_signature. |
False |
options.alcohol_contained |
boolean | No | Indicates whether alcohol is conatined equivalent to v1 alcohol_contained. |
False |
order_source |
text | No | Whitelisted partner name |
Request body
Section titled “Request body”{ "dropoff_notes": "abcd"}Examples
Section titled “Examples”curl --request PATCH '${BASE_HABITAT_URL}/api/v3/orders/${ORDER_ID}' \ --data '{ "dropoff_notes": "abcd"}'const response = await fetch("${BASE_HABITAT_URL}/api/v3/orders/${ORDER_ID}", { "method": "PATCH", "headers": {}, "body": "{\n \"dropoff_notes\": \"abcd\"\n}"})const data = await response.json()import requests
response = requests.request( "PATCH", "${BASE_HABITAT_URL}/api/v3/orders/${ORDER_ID}", headers={}, data="{\n \"dropoff_notes\": \"abcd\"\n}",)response.raise_for_status()Saved responses
Section titled “Saved responses”{ "type": "success", "id": "b2aa23f0-fda5-11ee-9e0a-add8160c0398", "dsp_quote_id": null, "external_order_id": "b2a4a5b0-fda5-11ee-9e0a-add8160c0398", "external_order_reference": null, "dsps_delivery_id": null, "_request_id": null, "dsps_name": null, "created_at": "2024-04-18T17:04:20.418Z", "status": "en_route_dropoff", "_status": "in_progress", "method": "Delivery", "timezone": "America/New_York", "partner_name": "eat24", "pickup_name": "WaWaWeeWa", "pickup_address": "2166 E Norris St, Philadelphia, PA 19125, USA", "pickup_phone": "2677660550", "pickup_instructions": "Pickup package at the back door, please call upon arrival.", "pickup_lat": 39.98, "pickup_lng": -75.13, "dropoff_lat": 39.96, "dropoff_lng": -75.17, "route_distance_miles": 2.46, "crow_flies_distance_miles": 2.46, "dropoff_address": "1601 Cherry St, Philadelphia, PA 19102, USA", "dropoff_suite": null, "dropoff_instructions": "Do not ring the doorbell; pets are easily disturbed.", "customer_name": "Alice Johnson", "customer_phone": "555-123-4567", "payment_type": "prepaid", "runner_assigned_at": "2024-04-18T17:05:07.000Z", "runner_accepted_at": "2024-04-18T17:05:22.724Z", "runner_arrived_origin": "2024-04-18T17:15:43.442Z", "ready_at": null, "runner_picked_up": "2024-04-18T17:16:01.692Z", "runner_arrived_dropoff": null, "runner_dropped_off": null, "cancelled_at": null, "cancel_reason": null, "cancel_note": null, "contents": [ { "itemName": "Avacado", "quantity": 1, "itemPrice": 13.75, "modifiersText": [ { "name": "Salad", "price": 0 }, { "name": "Dressing on the Side", "price": 0 } ] } ], "tip": 5, "order_total": 75, "sub_total": 65, "tax": 7.5, "runner": { "id": "ea5252cc-6194-44ec-9ac9-4949221b683b", "name": "Beatrice Douglas", "phone": "3497861202" }, "merchant_id": "7c3aaed9-3f70-4c6e-9563-f55d2e44071b", "runner_id": "ea5252cc-6194-44ec-9ac9-4949221b683b", "skip_routing_strategy": false, "diner_delivery_fee": 2.5, "runner_commission": 2.5, "billable_merchant_fee": 7, "operator_id": 1, "territory": "Philadelphia", "territory_id": "db93f018-36e2-416b-8196-5d3a36033440", "quote_id": "b2a60540-fda5-11ee-9e0a-add8160c0398", "_order_number": 4480, "dsps_customer_reference_id": null, "pickup_estimate": "2024-04-18T17:18:00.000Z", "dropoff_estimate": "2024-04-18T17:30:15.000Z", "dsp_cancel_reason": null, "dsp_cancel_details": null, "runner_name": "Beatrice Douglas", "options": { "alcohol_contained": false, "requires_signature": true }, "dsps_delivery_fee": null}
